


	uniform float Trans;
	void main()
	{	


					

		   		gl_TexCoord[0] = gl_MultiTexCoord0;
		gl_TexCoord[1] = gl_MultiTexCoord1;	
		
vec4 v = vec4(gl_Vertex);		

v.x += sin(Trans+v.y*0.6 )*0.15;
v.y += sin(Trans+v.z )*0.05;

		
		gl_Position = gl_ModelViewProjectionMatrix * v;
	} 